Bug 1268055 - UI: Catalogs Explorer - Unable to create a Catalog Bundle
UI: Catalogs Explorer - Unable to create a Catalog Bundle
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
unspecified Severity unspecified
: GA
: 5.5.0
Assigned To: Bill Wei
Taras Lehinevych
:
: 1268221 1268323 (view as bug list)
Depends On:
Blocks: 1227068
  Show dependency treegraph
 
Reported: 2015-10-01 13:11 EDT by Harpreet Kataria
Modified: 2016-08-02 21:32 EDT (History)
9 users (show)

See Also:
Fixed In Version: 5.5.0.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:34:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harpreet Kataria 2015-10-01 13:11:52 EDT
Description of problem: Unable to create a Catalog Bundle


Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Go To Catalogs Explorer
2. Go to Catalog Items accordion
3. Press Add New Catalog Bundle button
4. Checking Display in Catalog checkbox throws an error

Actual results: Error caught: [ArgumentError] wrong number of arguments (1 for 0)


Expected results: It should display Entry point text fields.


Additional info:
https://github.com/ManageIQ/manageiq/issues/4618

I'm trying to add a new Catalog Bundle but I got this backtrace once I click on the checkbox "Display on Catalog.

Version that I'm using is master.20151001091537_3859969

https://paste.fedoraproject.org/273673/37128861/

90f58370b1f4be6e6c4c2f3f6b30676c7cbab496323f2464d7.js?=1443712554106" for 156.24.56.29 at 2015-10-01 11:16:04 -0400
[----] I, [2015-10-01T11:16:06.398157 #4515:a2be94] INFO -- : Started POST "/catalog/st_form_field_changed/new?name=t" for 156.24.56.29 at 2015-10-01 11:16:06 -0400
[----] I, [2015-10-01T11:16:06.400322 #4515:a2be94] INFO -- : Processing by CatalogController#st_form_field_changed as JS
[----] I, [2015-10-01T11:16:06.400481 #4515:a2be94] INFO -- : Parameters: {"name"=>"t", "id"=>"new"}
[----] I, [2015-10-01T11:16:06.947809 #4515:a2be94] INFO -- : Completed 200 OK in 547ms (Views: 1.0ms | ActiveRecord: 25.9ms)
[----] I, [2015-10-01T11:16:07.535098 #4515:a2be94] INFO -- : Started POST "/catalog/st_form_field_changed/new?name=test" for 156.24.56.29 at 2015-10-01 11:16:07 -0400
[----] I, [2015-10-01T11:16:07.537071 #4515:a2be94] INFO -- : Processing by CatalogController#st_form_field_changed as JS
[----] I, [2015-10-01T11:16:07.537175 #4515:a2be94] INFO -- : Parameters: {"name"=>"test", "id"=>"new"}
[----] I, [2015-10-01T11:16:07.720435 #4515:a2be94] INFO -- : Completed 200 OK in 183ms (Views: 1.0ms | ActiveRecord: 19.4ms)
[----] I, [2015-10-01T11:16:08.559674 #4515:a2be94] INFO -- : Started POST "/catalog/st_form_field_changed/new?description=test" for 156.24.56.29 at 2015-10-01 11:16:08 -0400
[----] I, [2015-10-01T11:16:08.562752 #4515:a2be94] INFO -- : Processing by CatalogController#st_form_field_changed as JS
[----] I, [2015-10-01T11:16:08.562926 #4515:a2be94] INFO -- : Parameters: {"description"=>"test", "id"=>"new"}
[----] I, [2015-10-01T11:16:08.757237 #4515:a2be94] INFO -- : Completed 200 OK in 194ms (Views: 1.0ms | ActiveRecord: 20.7ms)
[----] I, [2015-10-01T11:16:08.875071 #4515:a2be94] INFO -- : Started POST "/catalog/st_form_field_changed/new" for 156.24.56.29 at 2015-10-01 11:16:08 -0400
[----] I, [2015-10-01T11:16:08.877314 #4515:a2be94] INFO -- : Processing by CatalogController#st_form_field_changed as JS
[----] I, [2015-10-01T11:16:08.877417 #4515:a2be94] INFO -- : Parameters: {"display"=>"1", "id"=>"new"}
[----] F, [2015-10-01T11:16:08.912082 #4515:a2be94] FATAL -- : Error caught: [ArgumentError] wrong number of arguments (1 for 0)
/home/miqbuilder/manageiq/app/controllers/catalog_controller.rb:1402:in default_entry_point' /home/miqbuilder/manageiq/app/controllers/catalog_controller.rb:419:inst_form_field_changed'
/home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/actionpack-4.2.4/lib/action_controller/metal/implicit_render.rb:4:in send_action' /home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/actionpack-4.2.4/lib/abstract_controller/base.rb:198:inprocess_action'
/home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/actionpack-4.2.4/lib/action_controller/metal/rendering.rb:10:in process_action' /home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/actionpack-4.2.4/lib/abstract_controller/callbacks.rb:20:inblock in process_action'
/home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/activesupport-4.2.4/lib/active_support/callbacks.rb:117:in call' /home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/activesupport-4.2.4/lib/active_support/callbacks.rb:117:incall'
/home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/activesupport-4.2.4/lib/active_support/callbacks.rb:555:in block (2 levels) in compile' /home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/activesupport-4.2.4/lib/active_support/callbacks.rb:505:incall'
/home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/activesupport-4.2.4/lib/active_support/callbacks.rb:505:in call' /home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/activesupport-4.2.4/lib/active_support/callbacks.rb:92:in__run_callbacks_'
/home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/activesupport-4.2.4/lib/active_support/callbacks.rb:778:in _run_process_action_callbacks' /home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/activesupport-4.2.4/lib/active_support/callbacks.rb:81:inrun_callbacks'
/home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/actionpack-4.2.4/lib/abstract_controller/callbacks.rb:19:in process_action' /home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/actionpack-4.2.4/lib/action_controller/metal/rescue.rb:29:inprocess_action'
/home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/actionpack-4.2.4/lib/action_controller/metal/instrumentation.rb:32:in block in process_action' /home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/activesupport-4.2.4/lib/active_support/notifications.rb:164:inblock in instrument'
/home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/activesupport-4.2.4/lib/active_support/notifications/instrumenter.rb:20:in instrument' /home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/activesupport-4.2.4/lib/active_support/notifications.rb:164:ininstrument'
/home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/actionpack-4.2.4/lib/action_controller/metal/instrumentation.rb:30:in process_action' /home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/actionpack-4.2.4/lib/action_controller/metal/params_wrapper.rb:250:inprocess_action'
/home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/activerecord-4.2.4/lib/active_record/railties/controller_runtime.rb:18:in process_action' /home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/actionpack-4.2.4/lib/abstract_controller/base.rb:137:inprocess'
/home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/actionview-4.2.4/lib/action_view/rendering.rb:30:in process' /home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/actionpack-4.2.4/lib/action_controller/metal.rb:196:indispatch'
/home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/actionpack-4.2.4/lib/action_controller/metal/rack_delegation.rb:13:in dispatch' /home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/actionpack-4.2.4/lib/action_controller/metal.rb:237:inblock in action'
/home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/actionpack-4.2.4/lib/action_dispatch/routing/route_set.rb:76:in call' /home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/actionpack-4.2.4/lib/action_dispatch/routing/route_set.rb:76:indispatch'
/home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/actionpack-4.2.4/lib/action_dispatch/routing/route_set.rb:45:in serve' /home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/actionpack-4.2.4/lib/action_dispatch/journey/router.rb:43:inblock in serve'
/home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/actionpack-4.2.4/lib/action_dispatch/journey/router.rb:30:in each' /home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/actionpack-4.2.4/lib/action_dispatch/journey/router.rb:30:inserve'
/home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/actionpack-4.2.4/lib/action_dispatch/routing/route_set.rb:821:in call' /home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/rack-1.6.4/lib/rack/etag.rb:24:incall'
/home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/rack-1.6.4/lib/rack/conditionalget.rb:38:in call' /home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/rack-1.6.4/lib/rack/head.rb:13:incall'
/home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/actionpack-4.2.4/lib/action_dispatch/middleware/params_parser.rb:27:in call' /home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/actionpack-4.2.4/lib/action_dispatch/middleware/flash.rb:260:incall'
/home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/rack-1.6.4/lib/rack/session/abstract/id.rb:225:in context' /home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/rack-1.6.4/lib/rack/session/abstract/id.rb:220:incall'
/home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/actionpack-4.2.4/lib/action_dispatch/middleware/cookies.rb:560:in call' /home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/activerecord-4.2.4/lib/active_record/query_cache.rb:36:incall'
/home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/activerecord-4.2.4/lib/active_record/connection_adapters/abstract/connection_pool.rb:653:in call' /home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/actionpack-4.2.4/lib/action_dispatch/middleware/callbacks.rb:29:inblock in call'
/home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/activesupport-4.2.4/lib/active_support/callbacks.rb:88:in __run_callbacks__' /home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/activesupport-4.2.4/lib/active_support/callbacks.rb:778:in_run_call_callbacks'
/home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/activesupport-4.2.4/lib/active_support/callbacks.rb:81:in run_callbacks' /home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/actionpack-4.2.4/lib/action_dispatch/middleware/callbacks.rb:27:incall'
/home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/actionpack-4.2.4/lib/action_dispatch/middleware/remote_ip.rb:78:in call' /home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/actionpack-4.2.4/lib/action_dispatch/middleware/debug_exceptions.rb:17:incall'
/home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/actionpack-4.2.4/lib/action_dispatch/middleware/show_exceptions.rb:30:in call' /home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/railties-4.2.4/lib/rails/rack/logger.rb:38:incall_app'
/home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/railties-4.2.4/lib/rails/rack/logger.rb:22:in call' /home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/actionpack-4.2.4/lib/action_dispatch/middleware/request_id.rb:21:incall'
/home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/rack-1.6.4/lib/rack/methodoverride.rb:22:in call' /home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/rack-1.6.4/lib/rack/runtime.rb:18:incall'
/home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/activesupport-4.2.4/lib/active_support/cache/strategy/local_cache_middleware.rb:28:in call' /home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/rack-1.6.4/lib/rack/lock.rb:17:incall'
/home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/actionpack-4.2.4/lib/action_dispatch/middleware/static.rb:116:in call' /home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/rack-1.6.4/lib/rack/sendfile.rb:113:incall'
/home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/railties-4.2.4/lib/rails/engine.rb:518:in call' /home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/railties-4.2.4/lib/rails/application.rb:165:incall'
/home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/rack-1.6.4/lib/rack/content_length.rb:15:in call' /home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/thin-1.6.4/lib/thin/connection.rb:86:inblock in pre_process'
/home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/thin-1.6.4/lib/thin/connection.rb:84:in catch' /home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/thin-1.6.4/lib/thin/connection.rb:84:inpre_process'
/home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/thin-1.6.4/lib/thin/connection.rb:53:in process' /home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/thin-1.6.4/lib/thin/connection.rb:39:inreceive_data'
/home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/eventmachine-1.0.8/lib/eventmachine.rb:193:in run_machine' /home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/eventmachine-1.0.8/lib/eventmachine.rb:193:inrun'
/home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/thin-1.6.4/lib/thin/backends/base.rb:73:in start' /home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/thin-1.6.4/lib/thin/server.rb:162:instart'
/home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/rack-1.6.4/lib/rack/handler/thin.rb:19:in run' /home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/rack-1.6.4/lib/rack/server.rb:286:instart'
/home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/railties-4.2.4/lib/rails/commands/server.rb:80:in start' /home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/railties-4.2.4/lib/rails/commands/commands_tasks.rb:80:inblock in server'
/home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/railties-4.2.4/lib/rails/commands/commands_tasks.rb:75:in tap' /home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/railties-4.2.4/lib/rails/commands/commands_tasks.rb:75:inserver'
/home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/railties-4.2.4/lib/rails/commands/commands_tasks.rb:39:in run_command!' /home/miqbuilder/.rvm/gems/ruby-2.0.0-p643/gems/railties-4.2.4/lib/rails/commands.rb:17:in'
/home/miqbuilder/manageiq/bin/rails:4:in require' /home/miqbuilder/manageiq/bin/rails:4:in
'
[----] I, [2015-10-01T11:16:08.914421 #4515:a2be94] INFO -- : Rendered layouts/_exception_contents.html.haml (0.3ms)
[----] I, [2015-10-01T11:16:08.915156 #4515:a2be94] INFO -- : Completed 200 OK in 38ms (Views: 2.4ms | ActiveRecord: 1
Comment 5 CFME Bot 2015-10-01 18:48:48 EDT
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/7cbb34ef5f90537ea0f6d8473ba695bef1031aca

commit 7cbb34ef5f90537ea0f6d8473ba695bef1031aca
Author:     Bill Wei <bilwei@redhat.com>
AuthorDate: Thu Oct 1 14:42:45 2015 -0400
Commit:     Bill Wei <bilwei@redhat.com>
CommitDate: Thu Oct 1 15:02:30 2015 -0400

    fix wrong number of arguments calling default_entry_point
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1268055
    
    Fixed: #4618

 app/controllers/catalog_controller.rb | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)
Comment 7 Harpreet Kataria 2015-10-05 12:24:12 EDT
*** Bug 1268221 has been marked as a duplicate of this bug. ***
Comment 8 Harpreet Kataria 2015-10-05 12:32:10 EDT
*** Bug 1268323 has been marked as a duplicate of this bug. ***
Comment 9 Taras Lehinevych 2015-10-15 06:34:54 EDT
Verified fixed in version 5.5.0.5

Tried to reproduce this bug for item and bundle.
Comment 11 errata-xmlrpc 2015-12-08 08:34:41 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.